Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageViewer Class Reference

`#include <vtkImageViewer.h>`

Inheritance diagram for vtkImageViewer:

[legend]
Collaboration diagram for vtkImageViewer:

[legend]
List of all members.

## Detailed Description

Display a 2d image.

Date:
  2002/06/08 21:34:02

Revision:
  1.52

vtkImageViewer is a convenience class for displaying a 2d image. It packages up the functionality found in vtkImageWindow, vtkImager, vtkActor2D and vtkImageMapper into a single easy to use class. Behind the scenes these four classes are actually used to to provide the required functionality. vtkImageViewer is simply a wrapper around them.

See also:
  vtkImageWindow vtkImager vtkImageMapper vtkActor2D

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (40%)
  - Martin, Ken (36%)
  - Barre, Sebastien (13%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkImageViewer.h)`
  - .`cxx` (`/Rendering/vtkImageViewer.cxx)`

Examples:
  vtkImageViewer (Examples)

Tests:
  vtkImageViewer (Tests)

Definition at line 60 of file vtkImageViewer.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
char * | GetWindowName ()
virtual void | Render (void)
void | SetupInteractor (vtkRenderWindowInteractor *)
void | SetInput (vtkImageData *in)
vtkImageData * | GetInput ()
int | GetWholeZMin ()
int | GetWholeZMax ()
int | GetZSlice ()
void | SetZSlice (int s)
float | GetColorWindow ()
float | GetColorLevel ()
void | SetColorWindow (float s)
void | SetColorLevel (float s)
void | SetDisplayId (void *a)
void | SetWindowId (void *a)
void | SetParentId (void *a)
int | GetGrayScaleHint ()
void | SetGrayScaleHint (int vtkNotUsed(a))
void | GrayScaleHintOn ()
void | GrayScaleHintOff ()
int * | GetPosition ()
void | SetPosition (int a, int b)
virtual void | SetPosition (int a[2])
int * | GetSize ()
void | SetSize (int a, int b)
virtual void | SetSize (int a[2])
virtual vtkRenderWindow * | GetRenderWindow ()
virtual vtkRenderer * | GetRenderer ()
virtual vtkImageMapper * | GetImageMapper ()
virtual vtkActor2D * | GetActor2D ()
void | SetOffScreenRendering (int)
int | GetOffScreenRendering ()
void | OffScreenRenderingOn ()
void | OffScreenRenderingOff ()
## Static Public Methods
vtkImageViewer * | New ()
int | IsTypeOf (const char *type)
vtkImageViewer * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageViewer ()
| ~vtkImageViewer ()
## Protected Attributes
vtkRenderWindow * | RenderWindow
vtkRenderer * | Renderer
vtkImageMapper * | ImageMapper
vtkActor2D * | Actor2D
int | FirstRender
vtkRenderWindowInteractor * | Interactor
vtkInteractorStyleImage * | InteractorStyle

## Member Typedef Documentation

typedef vtkObject vtkImageViewer::Superclass

| Reimplemented from vtkObject. Definition at line 65 of file vtkImageViewer.h.

## Constructor & Destructor Documentation

vtkImageViewer::vtkImageViewer | ( |  | ) | `[protected]`

vtkImageViewer::~vtkImageViewer | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageViewer* vtkImageViewer::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageViewer::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkImageViewer::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkImageViewer::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkImageViewer* vtkImageViewer::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkImageViewer::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

char* vtkImageViewer::GetWindowName | ( |  | ) | `[inline]`

| Get name of rendering window Definition at line 69 of file vtkImageViewer.h.

virtual void vtkImageViewer::Render | ( | void |  | ) | `[virtual]`

| Render the resulting image.

void vtkImageViewer::SetInput | ( | vtkImageData * | in | ) | `[inline]`

| Set/Get the input to the viewer. Definition at line 76 of file vtkImageViewer.h.

vtkImageData* vtkImageViewer::GetInput | ( |  | ) | `[inline]`

| Set/Get the input to the viewer. Definition at line 77 of file vtkImageViewer.h.

int vtkImageViewer::GetWholeZMin | ( |  | ) | `[inline]`

| What is the possible Min/ Max z slices available. Definition at line 82 of file vtkImageViewer.h.

int vtkImageViewer::GetWholeZMax | ( |  | ) | `[inline]`

| What is the possible Min/ Max z slices available. Definition at line 83 of file vtkImageViewer.h.

int vtkImageViewer::GetZSlice | ( |  | ) | `[inline]`

| Set/Get the current Z Slice to display Definition at line 88 of file vtkImageViewer.h.

void vtkImageViewer::SetZSlice | ( | int | s | ) | `[inline]`

| Set/Get the current Z Slice to display Definition at line 89 of file vtkImageViewer.h.

float vtkImageViewer::GetColorWindow | ( |  | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 94 of file vtkImageViewer.h.

float vtkImageViewer::GetColorLevel | ( |  | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 95 of file vtkImageViewer.h.

void vtkImageViewer::SetColorWindow | ( | float | s | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 96 of file vtkImageViewer.h.

void vtkImageViewer::SetColorLevel | ( | float | s | ) | `[inline]`

| Sets window/level for mapping pixels to colors. Definition at line 97 of file vtkImageViewer.h.

void vtkImageViewer::SetDisplayId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 102 of file vtkImageViewer.h.

void vtkImageViewer::SetWindowId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 103 of file vtkImageViewer.h.

void vtkImageViewer::SetParentId | ( | void * | a | ) | `[inline]`

| These are here for using a tk window. Definition at line 104 of file vtkImageViewer.h.

int vtkImageViewer::GetGrayScaleHint | ( |  | ) | `[inline]`

| By default this is a color viewer. GrayScaleHintOn will improve the appearance of gray scale images on some systems. Definition at line 110 of file vtkImageViewer.h.

void vtkImageViewer::SetGrayScaleHint | ( | int | vtkNotUsed(a) | ) | `[inline]`

| By default this is a color viewer. GrayScaleHintOn will improve the appearance of gray scale images on some systems. Definition at line 112 of file vtkImageViewer.h.

void vtkImageViewer::GrayScaleHintOn | ( |  | ) | `[inline]`

| By default this is a color viewer. GrayScaleHintOn will improve the appearance of gray scale images on some systems. Definition at line 114 of file vtkImageViewer.h.

void vtkImageViewer::GrayScaleHintOff | ( |  | ) | `[inline]`

| By default this is a color viewer. GrayScaleHintOn will improve the appearance of gray scale images on some systems. Definition at line 116 of file vtkImageViewer.h.

int* vtkImageViewer::GetPosition | ( |  | ) | `[inline]`

| Set/Get the position in screen coordinates of the rendering window. Definition at line 122 of file vtkImageViewer.h.

void vtkImageViewer::SetPosition | ( | int | a,
|  | int | b
| ) | `[inline]`

| Set/Get the position in screen coordinates of the rendering window. Definition at line 123 of file vtkImageViewer.h.

virtual void vtkImageViewer::SetPosition | ( | int | a[2] | ) | `[virtual]`

| Set/Get the position in screen coordinates of the rendering window.

int* vtkImageViewer::GetSize | ( |  | ) | `[inline]`

| Set/Get the size of the window in screen coordinates. Definition at line 129 of file vtkImageViewer.h.

void vtkImageViewer::SetSize | ( | int | a,
|  | int | b
| ) | `[inline]`

| Set/Get the size of the window in screen coordinates. Definition at line 130 of file vtkImageViewer.h.

virtual void vtkImageViewer::SetSize | ( | int | a[2] | ) | `[virtual]`

| Set/Get the size of the window in screen coordinates.

virtual vtkRenderWindow* vtkImageViewer::GetRenderWindow | ( |  | ) | `[virtual]`

| Get the internal objects

virtual vtkRenderer* vtkImageViewer::GetRenderer | ( |  | ) | `[virtual]`

| Get the internal objects

virtual vtkImageMapper* vtkImageViewer::GetImageMapper | ( |  | ) | `[virtual]`

| Get the internal objects

virtual vtkActor2D* vtkImageViewer::GetActor2D | ( |  | ) | `[virtual]`

| Get the internal objects

void vtkImageViewer::SetupInteractor | ( | vtkRenderWindowInteractor * |  | ) |

| Create and attach an interactor for this window

void vtkImageViewer::SetOffScreenRendering | ( | int |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

int vtkImageViewer::GetOffScreenRendering | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

void vtkImageViewer::OffScreenRenderingOn | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

void vtkImageViewer::OffScreenRenderingOff | ( |  | ) |

| Create a window in memory instead of on the screen. This may not be supported for every type of window and on some windows you may need to invoke this prior to the first render.

## Member Data Documentation

vtkRenderWindow* vtkImageViewer::RenderWindow`[protected]`

| Definition at line 159 of file vtkImageViewer.h.

vtkRenderer* vtkImageViewer::Renderer`[protected]`

| Definition at line 160 of file vtkImageViewer.h.

vtkImageMapper* vtkImageViewer::ImageMapper`[protected]`

| Definition at line 161 of file vtkImageViewer.h.

vtkActor2D* vtkImageViewer::Actor2D`[protected]`

| Definition at line 162 of file vtkImageViewer.h.

int vtkImageViewer::FirstRender`[protected]`

| Definition at line 163 of file vtkImageViewer.h.

vtkRenderWindowInteractor* vtkImageViewer::Interactor`[protected]`

| Definition at line 164 of file vtkImageViewer.h.

vtkInteractorStyleImage* vtkImageViewer::InteractorStyle`[protected]`

| Definition at line 165 of file vtkImageViewer.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImageViewer.h